#ifndef _TEXT_TOOL_
#define _TEXT_TOOL_
#include <vector>
#include <string>

namespace HPL {
namespace General {
namespace TextTool {
	/**
	  *
	  */
	int load_StringLinesFromFile( const char* lpszFilePath,
		std::vector<std::string>* pvecOut);

	/**
	  *
	  */
	bool is_SkipLine( std::string& strLine );

	std::string get_String( const char* format, ... );

	/**
	  *
	  */
	std::vector<std::string> split( std::string& strIn, const char* lpczSeparator );
}
}
}
#endif
